Linux下JDK多版本配置和不同tomcat使用不同的JDK

星期日, 2012-07-01 | Author: Lee | JAVA-and-J2EE, linux | 6,917 views

要在原有linux系统的java版本为jdk7的系统上安装jira,真是让人头疼.
原因:1.jira 不支持jdk7,值支持到jdk6 (写本文的时候)
这要会引发标题的问题(Linux下JDK多版本配置和不同tomcat使用不同的JDK)
废话不说了.

1.安装jdk6
下载 jdk-6u32-linux-i586.bin,执行解压即可,移动到自己的目录 /usr/local/webserver/jdk1.6.0_32
2.配置 .bash_profile 文件

#cd 
#vi .bash_profile
添加内容
JAVA_OTH_HOME=/usr/local/webserver/jdk1.6.0_32
JRE=$JAVA_OTH_HOME/jre
PATH=$JAVA_OTH_HOME/bin:$JRE/bin:$PATH:$HOME/bin
CLASSPATH=.:$JAVA_OTH_HOME/bin/tools.jar:$JAVA_OTH_HOME/lib/dt.jar
export JAVA_OTH_HOME JRE CLASSPATH PATH

3.修改tomcat配置bin下启动文件
# cd /usr/local/webserver/apache-tomcat-6.0.35/bin
#vi catalina.sh
在开始或者你想加的地方加上
JAVA_HOME=$JAVA_OTH_HOME
更多的分配内存能配置也在此处加(不讲)

4.修改端口配置文件
#cd /usr/local/webserver/apache-tomcat-6.0.35/conf
#vi server.xml
修改 8005,8080,8443,8009
启动 tomca即可 ,可以看到使用的
Using CATALINA_BASE: /usr/local/webserver/apache-tomcat-6.0.35
Using CATALINA_HOME: /usr/local/webserver/apache-tomcat-6.0.35
Using CATALINA_TMPDIR: /usr/local/webserver/apache-tomcat-6.0.35/temp
Using JRE_HOME: /usr/local/webserver/jdk1.6.0_32
Using CLASSPATH: /usr/local/webserver/apache-tomcat-6.0.35/bin/bootstrap.jar
搞定~

Tags: , ,

文章作者: Lee

本文地址: https://www.pomelolee.com/993.html

除非注明,Pomelo Lee文章均为原创,转载请以链接形式标明本文地址

No comments yet.

Leave a comment

Search

相关文章

文章分类

Meta